Subject: RE: [PATCH 1/1] imap-send: include strbuf.h

From: <[email-masked]>
Date: Wed, 17 May 2023 14:06:24 -0400

On Wednesday, May 17, 2023 1:58 PM, Taylor Blau wrote:
>On Wed, May 17, 2023 at 10:01:35AM -0700, Junio C Hamano wrote:
>> Junio C Hamano <[email-masked]> writes:
>>
>> >>         if ! gcc -I $(pwd) -E $f | grep -q 'struct strbuf {'
>> > ...
>> > What does the above prove, more than what your regular compilation
>> > that does not fail, tells us?
>>
>> It is actually worse than that, isn't it?  This does not even use the
>> definition in the config.mak.uname, so it is not even matching your
>> build environment.
>>
>> I am uncomfortable to use this as an explanation of what due diligence
>> we did to convince ourselves that this fix should cover all similar
>> issues.  Perhaps I am grossly misunderstanding what your investigation
>> did?
>
>Oof, yes, you are right:
>
>    diff -u \
>      <(gcc -I . -E imap-send.c) \
>      <(gcc -DNO_CURL=1 -I . -E imap-send.c)
>
>How *should* we test this?

I hope not by using gcc, which is not currently a dependency. Using the C preprocessor directly might help in a more general sense, but you probably will need a knob for some compilers to work.